gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.NativeVolumeMonitor

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype NativeVolumeMonitor = NativeVolumeMonitor (ManagedPtr NativeVolumeMonitor)
- class (GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o
- toNativeVolumeMonitor :: (MonadIO m, IsNativeVolumeMonitor o) => o -> m NativeVolumeMonitor

# Exported types

newtype NativeVolumeMonitor Source #

Memory-managed wrapper type.

Constructors

NativeVolumeMonitor (ManagedPtr NativeVolumeMonitor) |

#### Instances

Instances details

Eq NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods (==) :: NativeVolumeMonitor -> NativeVolumeMonitor -> Bool Source # (/=) :: NativeVolumeMonitor -> NativeVolumeMonitor -> Bool Source #
GObject NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor
ManagedPtrNewtype NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods toManagedPtr :: NativeVolumeMonitor -> ManagedPtr NativeVolumeMonitor Source #
TypedObject NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods glibType :: IO GType Source #
HasParentTypes NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor
IsGValue (Maybe NativeVolumeMonitor) Source # | Convert `NativeVolumeMonitor` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NativeVolumeMonitor -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NativeVolumeMonitor) Source #
type ParentTypes NativeVolumeMonitor Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor type ParentTypes NativeVolumeMonitor = '[VolumeMonitor, Object]

class (GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o Source #

Type class for types which can be safely cast to `NativeVolumeMonitor`, for instance with `toNativeVolumeMonitor`.

#### Instances

Instances details

(GObject o, IsDescendantOf NativeVolumeMonitor o) => IsNativeVolumeMonitor o Source # |
Instance details Defined in GI.Gio.Objects.NativeVolumeMonitor

toNativeVolumeMonitor :: (MonadIO m, IsNativeVolumeMonitor o) => o -> m NativeVolumeMonitor Source #

Cast to `NativeVolumeMonitor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getConnectedDrives, getData, getMountForUuid, getMounts, getProperty, getQdata, getVolumeForUuid, getVolumes.

#### Setters

setData, setDataFull, setProperty.